projects
/
notmuch.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
b5d08eb
)
perf-test/mem: add simple memory tests for notmuch search
author
David Bremner
<david@tethera.net>
Sat, 18 Mar 2017 19:35:51 +0000
(16:35 -0300)
committer
David Bremner
<david@tethera.net>
Sat, 18 Mar 2017 23:43:19 +0000
(20:43 -0300)
Just copy and replace from the show tests. Currently these show no
major leaks.
performance-test/M03-search.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/performance-test/M03-search.sh
b/performance-test/M03-search.sh
new file mode 100755
(executable)
index 0000000..
8d026ee
--- /dev/null
+++ b/
performance-test/M03-search.sh
@@ -0,0
+1,13
@@
+#!/bin/bash
+
+test_description='search'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+memory_run 'search *' "notmuch search '*' 1>/dev/null"
+memory_run 'search --format=json *' "notmuch search --format=json '*' 1>/dev/null"
+memory_run 'search --format=sexp *' "notmuch search --format=sexp '*' 1>/dev/null"
+
+memory_done